using System;
using UnityEngine;
using System.Collections;
using System.Collections.Generic;

namespace Stopper {
	public class InternalClothingFix : MVRScript {
		long frame = 0;
		
		public override void Init() {
			UnsetAdjustToSurface();
		}
		
		private void Update(){
			if(frame % 100 == 0){
				UnsetAdjustToSurface();
			}
			frame++;
		}
		
		private void UnsetAdjustToSurface(){
			foreach(var skinWrap in containingAtom.gameObject.GetComponentsInChildren<DAZSkinWrap>()){
				skinWrap.moveToSurface = false;
			}
		}
	}
}